{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf mkMerge mkThenElse;
  annuaire = config.r6d.machines;
  currentMachine = annuaire."${config.networking.hostName}";
  flags = currentMachine.configurationFlags;
in

mkIf (flags.cartographie && flags.graphical) {

  # Paquets
  environment.systemPackages = with pkgs; [
    # Gestion de données géographiques
    josm          # outil de contribution à OpenStreetMap
    #qgis         # client lourd de manipulation de données géographiques
    viking        # analyse de topo, gestion de données GPS
  ];
}
